#include <bits/stdc++.h>

using namespace std;

int n,k,mx=0,p1=0,p2=0,mn=10;
int niz[1000005];

int main () {
    cin >> n;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
    }
    if(n==2){
        swap(niz[1],niz[2]);
        for(int i=1;i<=n;i++){
            cout<<niz[i]<<" ";
        }
        cout<<endl;
        return 0;
    }
    for(int k=1;k<=n-1;k++){
        for(int i=n;i>k;i--){
            if(niz[k]<niz[i]){
                if(mx<niz[i]){
                    mx=niz[i];
                    p1=i;
                    p2=k;
                }
            }
        }
        if(mx!=0){
            break;
        }
    }
    if(mx==0){
        for(int k=1;k<=n-1;k++){
            for(int i=n;i>k;i--){
                if(niz[k]==niz[i]){
                    p1=i;
                    p2=k;
                    swap(niz[p1],niz[p2]);
                    for(int i=1;i<=n;i++){
                        cout<<niz[i]<<" ";
                    }
                    cout<<endl;
                    return 0;
                }
            }
        }
        swap(niz[n],niz[n-1]);
        for(int i=1;i<=n;i++){
            cout<<niz[i]<<" ";
        }
        cout<<endl;
        return 0;
    }
    swap(niz[p2],niz[p1]);
    for(int i=1;i<=n;i++){
        cout<<niz[i]<<" ";
    }
    cout<<endl;
    return 0;
}